- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- SEE ALSO
- COPYRIGHT

# NAME

SSL_CTX_flush_sessions, SSL_flush_sessions - remove expired sessions

# SYNOPSIS

     #include <openssl/ssl.h>

     void SSL_CTX_flush_sessions(SSL_CTX *ctx, long tm);
     void SSL_flush_sessions(SSL_CTX *ctx, long tm);

# DESCRIPTION

SSL_CTX_flush_sessions() causes a run through the session cache of ctx to remove sessions expired at time tm.

SSL_flush_sessions() is a synonym for SSL_CTX_flush_sessions().

# NOTES

If enabled, the internal session cache will collect all sessions established up to the specified maximum number (see SSL_CTX_sess_set_cache_size()). As sessions will not be reused ones they are expired, they should be removed from the cache to save resources. This can either be done automatically whenever 255 new sessions were established (see SSL_CTX_sess_set_get_cb(3)).

# SEE ALSO

SSL_CTX_set_session_cache_mode(3), SSL_CTX_sess_set_get_cb(3)

# COPYRIGHT

Copyright 2001-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.